## org.mortbay.jetty.example
Class ManyServletContexts.HelloServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.mortbay.jetty.example.ManyServletContexts.HelloServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

Enclosing class:
  ManyServletContexts

    public static class ManyServletContexts.HelloServlet

extends HttpServlet

See Also:
  Serialized Form

Constructor Summary
`ManyServletContexts.HelloServlet()`
`ManyServletContexts.HelloServlet(String hi)`

Method Summary
`protected void` `doGet(HttpServletRequest request, HttpServletResponse response)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManyServletContexts.HelloServlet

    public ManyServletContexts.HelloServlet()

### ManyServletContexts.HelloServlet

    public ManyServletContexts.HelloServlet(String hi)

Method Detail

### doGet

    protected void doGet(HttpServletRequest request,
                         HttpServletResponse response)
                  throws ServletException,
                         IOException

  Overrides:
    `doGet` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.